<?php
/*
Plugin Name: Ethereum mining calculator
Description: Provides shortcodes for Ethereum mining calculator
Version: 1.0.0
Author: 99bitcoins.com
Author URI: https://99bitcoins.com/bitcoin-ethereum-mining-calculators-plugin-wordpress/
Contributors: Michael Gusev <mgusev@olovei.com>
*/

require_once __DIR__ . '/vendor/autoload.php';

function the99BitcoinsEthMiningCalculatorActivation() {
	if ( ! wp_next_scheduled( 'The99BitcoinsEthMiningCalculatorCron' ) ) {
		wp_schedule_event( current_time( 'timestamp' ), 'hourly', 'The99BitcoinsEthMiningCalculatorCron' );
		the99BitcoinsEthMiningCalculatorCron();
		$options = get_option( 'The99Bitcoins\EthMiningCalculator\Plugin' );
		if ( ! isset( $options['eth_tooltip_hash_rate'] ) ) {
			if ( get_locale() == 'en_US' ) {
				$options['eth_tooltip_hash_rate']      = 'How "fast" is your miner?'
				                                         . ' You can get this from the product page of your miner.';
				$options['eth_tooltip_difficulty']     = '';
				$options['eth_tooltip_block_time']     = '';
				$options['eth_tooltip_exchange_rate']  = 'How many USD can you get for one Ether';
				$options['eth_tooltip_power_watts']    = 'The amount of power the miner consumes.'
				                                         . ' This is used to calculate your electricity costs and'
				                                         . ' can be found on the product description usually.';
				$options['eth_tooltip_power_cost']     = 'How much do you get charged for electricity.'
				                                         . ' This can be found out usually on your electric bill'
				                                         . ' or by contacting your electricity supplier.';
				$options['eth_tooltip_hardware_costs'] = 'How much does the miner cost in USD';
			}
			update_option( 'The99Bitcoins\EthMiningCalculator\Plugin', $options, 'no' );
		}
	}
}

function the99BitcoinsEthMiningCalculatorDeactivation() {
	wp_clear_scheduled_hook( 'The99BitcoinsEthMiningCalculatorCron' );
}

function the99BitcoinsEthMiningCalculatorCron() {
	\The99Bitcoins\EthMiningCalculator\Plugin::cron();
}

register_activation_hook( __FILE__, 'the99BitcoinsEthMiningCalculatorActivation' );
register_deactivation_hook( __FILE__, 'the99BitcoinsEthMiningCalculatorDeactivation' );
add_action( 'The99BitcoinsEthMiningCalculatorCron', 'the99BitcoinsEthMiningCalculatorCron' );

$the99BitcoinsEthMiningCalculator = new \The99Bitcoins\EthMiningCalculator\Plugin( array(
	'root'      => __DIR__ . '/',
	'templates' => __DIR__ . '/templates/',
) );
