<?php
/**
 * @var \The99Bitcoins\EthMiningCalculator\Plugin $this
 * @var string $eth_difficulty
 * @var string $eth_block_time
 * @var string $eth_exchange_rate
 * @var bool $eth_hide_copyright
 * @var string $notice_css_class
 * @var string $notice_message
 */
?>
<div class="wrap">
	<h1><?php esc_html_e( 'Configuration', '99btc-emc' ) ?></h1>
	<?php if ( ! empty( $notice_message ) ): ?>
		<div class="<?= $notice_css_class ?>">
			<p><?= $notice_message ?></p>
		</div>
	<?php endif ?>
	<form method="post" novalidate="novalidate">
		<table class="form-table">
			<tr>
				<th scope="row"><label
						for="eth_difficulty"><?php esc_html_e( 'Current difficulty factor', '99btc-emc' ) ?></label></th>
				<td>
					<input class="regular-text" type="number" name="eth_difficulty"
					       id="eth_difficulty"
					       value="<?php echo esc_attr( $eth_difficulty ) ?>"
					       placeholder="<?php esc_html_e( 'Current difficulty factor', '99btc-emc' ) ?>" pattern="\d*" step="0.00001"/>
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="eth_block_time"><?php esc_html_e( 'Current block time in seconds', '99btc-emc' ) ?></label></th>
				<td>
					<input class="regular-text" type="number" name="eth_block_time" id="eth_block_time"
					       value="<?php echo esc_attr( $eth_block_time ) ?>"
					       placeholder="<?php esc_html_e( 'Current block time in seconds', '99btc-emc' ) ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="eth_exchange_rate"><?php esc_html_e( 'Current USD/ETH exchange rate', '99btc-emc' ) ?></label></th>
				<td>
					<input class="regular-text" type="number" name="eth_exchange_rate" id="eth_exchange_rate"
					       value="<?php echo esc_attr( $eth_exchange_rate ) ?>"
					       placeholder="<?php esc_html_e( 'Current USD/ETH exchange rate', '99btc-emc' ) ?>" pattern="\d*" step="0.0001">
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="eth_exchange_rate"><?php esc_html_e( '99bitcoins.com copyright', '99btc-emc' ) ?></label></th>
				<td>
					<fieldset>
						<legend class="screen-reader-text">
							<span><?php esc_html_e( '99bitcoins.com copyright', '99btc-emc' ) ?></span></legend>
						<label for="hide_copyright">
							<input type="hidden" name="eth_hide_copyright" value="">
							<input name="eth_hide_copyright" type="checkbox" id="hide_copyright"
							       value="1" <?= !empty($eth_hide_copyright) ? ' checked' : '' ?>><?php esc_html_e( 'Hide copyright', '99btc-emc' ) ?></label>
					</fieldset>
				</td>
			</tr>
		</table>
		<?php submit_button(); ?>
	</form>
</div>
