<?php
/**
 * @var \The99Bitcoins\EthMiningCalculator\Plugin $this
 */
?>
<style type="text/css">
	.tooltip-calc{
		display: inline;
		position: relative;
	}
	.tooltip-calc:hover:after{
		background: #333;
		background: rgba(0,0,0,.8);
		border-radius: 5px;
		bottom: 26px;
		color: #fff;
		content: attr(title);
		left: 20%;
		padding: 5px 15px;
		position: absolute;
		z-index: 98;
		width: 220px;
	}
	.tooltip-calc:hover:before{
		border: solid;
		border-color: #333 transparent;
		border-width: 6px 6px 0 6px;
		bottom: 20px;
		content: "";
		left: 50%;
		position: absolute;
		z-index: 99;
	}
</style>
<form action="" method="get" novalidate>
	<div>
		<table style="margin: 0 auto">
			<tr>
				<td>
					<?php if ($eth_tooltip_hash_rate): ?>
						<a title="<?= esc_attr($eth_tooltip_hash_rate) ?>" class="tooltip-calc"><?php esc_html_e('Hash rate', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('Hash rate', '99btc-emc') ?>
					<?php endif ?>
				</td>
				<td>
					<input type="number" style="min-width: 200px;" name="eth_hash_rate" value="<?= esc_attr($eth_hash_rate) ?>" placeholder="<?php esc_attr_e('Hash rate', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
				<td>
					<select name="eth_hash_rate_grade">
						<?php foreach ($hash_grades as $k => $v): ?>
							<option value="<?= esc_attr($k) ?>"<?php if ($eth_hash_rate_grade == $k): ?> selected="selected"<?php endif ?>><?php esc_html_e($k, '99btc-emc') ?></option>
						<?php endforeach ?>
					</select>
				</td>
			</tr>
			<?php /*
            <tr>
                <td>
                    <?php if ($eth_tooltip_network_hash_rate): ?>
                        <a title="<?= esc_attr($eth_tooltip_network_hash_rate) ?>" class="tooltip-calc"><?php esc_html_e('Network hash rate', '99btc-emc') ?></a>
                    <?php else: ?>
                        <?php esc_html_e('Network hash rate', '99btc-emc') ?>
                    <?php endif ?>
                </td>
                <td>
                    <input type="number" style="min-width: 200px;" name="eth_network_hash_rate" value="<?= esc_attr($eth_network_hash_rate) ?>" placeholder="<?php esc_attr_e('Network hash rate', '99btc-emc') ?>" pattern="\d*" step="0.00001">
                </td>
                <td>
                    <select name="eth_network_hash_rate_grade">
                        <?php foreach ($hash_grades as $k => $v): ?>
                            <option value="<?= esc_attr($k) ?>"<?php if ($eth_network_hash_rate_grade == $k): ?> selected="selected"<?php endif ?>><?= esc_html_e($k, '99btc-emc') ?></option>
                        <?php endforeach ?>
                    </select>
                </td>
            </tr>
            */ ?>
			<tr>
				<td>
					<?php if ($eth_tooltip_difficulty): ?>
						<a title="<?= esc_attr($eth_tooltip_difficulty) ?>" class="tooltip-calc"><?php esc_html_e('Difficulty factor', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('Difficulty factor', '99btc-emc') ?>
					<?php endif ?>
				</td>
				<td colspan="2">
					<input type="number" style="min-width: 200px;" name="eth_difficulty" value="<?= esc_attr($eth_difficulty) ?>" placeholder="<?php esc_attr_e('Difficulty factor', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
			<tr>
				<td>
					<?php if ($eth_tooltip_block_time): ?>
						<a title="<?= esc_attr($eth_tooltip_block_time) ?>" class="tooltip-calc"><?php esc_html_e('Block time in seconds', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('Block time in seconds', '99btc-emc') ?>
					<?php endif ?>
				</td>
				<td colspan="2">
					<input type="number" style="min-width: 200px;" name="eth_block_time" value="<?= esc_attr($eth_block_time) ?>" placeholder="<?php esc_attr_e('Block time in seconds', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
			<tr>
				<td>
					<?php if ($eth_tooltip_exchange_rate): ?>
						<a title="<?= esc_attr($eth_tooltip_exchange_rate) ?>" class="tooltip-calc"><?php esc_html_e('USD/ETH exchange rate', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('USD/ETH exchange rate', '99btc-emc') ?>
					<?php endif ?>
				</td>
				<td colspan="2">
					<input type="number" style="min-width: 200px;" name="eth_exchange_rate" value="<?= esc_attr($eth_exchange_rate) ?>" placeholder="<?php esc_attr_e('USD/ETH exchange rate', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
			<tr>
				<td>
					<?php if ($eth_tooltip_power_watts): ?>
						<a title="<?= esc_attr($eth_tooltip_power_watts) ?>" class="tooltip-calc"><?php esc_html_e('Power (Watts)', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('Power (Watts)', '99btc-emc') ?>
					<?php endif ?>
				</td>
				<td colspan="2">
					<input type="number" style="min-width: 200px;" name="eth_power_watts" value="<?= esc_attr($eth_power_watts) ?>" placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
			<tr>
				<td>
					<?php if ($eth_tooltip_power_cost): ?>
						<a title="<?= esc_attr($eth_tooltip_power_cost) ?>" class="tooltip-calc"><?php esc_html_e('Power Cost (USD/kWh)', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('Power Cost (USD/kWh)', '9btc-emc') ?>
					<?php endif ?>
				</td>
				<td colspan="2">
					<input type="number" style="min-width: 200px;" name="eth_power_cost" value="<?= esc_attr($eth_power_cost) ?>" placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
			<tr>
				<td>
					<?php if ($eth_tooltip_hardware_costs): ?>
						<a title="<?= esc_attr($eth_tooltip_hardware_costs) ?>" class="tooltip-calc"><?php esc_html_e('Hardware Costs (USD)', '99btc-emc') ?></a>
					<?php else: ?>
						<?php esc_html_e('Hardware Costs (USD)', '99btc-emc') ?>
					<?php endif ?>
				</td>
				<td colspan="2">
					<input type="number" style="min-width: 200px;" name="eth_hardware_costs" value="<?= esc_attr($eth_hardware_costs) ?>" placeholder="<?php esc_attr_e('Leave blank if not sure', '99btc-emc') ?>" pattern="\d*" step="0.00001">
				</td>
			</tr>
		</table>
		<div style="padding: 20px 0;text-align: center">
			<input style="margin:0 auto;" type="submit" value="<?php esc_attr_e('Calculate mining profit', '99btc-emc') ?>">
		</div>
	</div>
	<input type="hidden" name="eth_action" value="calculate">
</form>
<?php if ($result): ?>
	<div style="padding: 10px 0">
		<h4><?php esc_html_e('Profit calculation', '99btc-emc') ?></h4>
		<table style="border: 0; width: 100%" border="0">
			<thead>
			<tr>
				<th style="text-align: center"><?php esc_html_e('Duration', '99btc-emc') ?></th>
				<th style="text-align: center"><?php esc_html_e('Estimated Earnings in ETH', '99btc-emc') ?></th>
				<?php if ($eth_pool_fee): ?>
					<th style="text-align: center"><?php esc_html_e('Estimated Pool Fees', '99btc-emc') ?></th>
				<?php endif ?>
				<!--th style="text-align: center"><?php esc_html_e('Profit in ETH', '99btc-emc') ?></th-->
				<?php if ($eth_power_watts && $eth_power_cost): ?>
					<th style="text-align: center"><?php esc_html_e('Estimated Electricity Cost in USD', '99btc-emc') ?></th>
				<?php endif ?>
				<?php if ($usd_btc): ?>
				<th style="text-align: center"><?php esc_html_e('Estimated Profit in BTC', '99btc-emc') ?></th>
				<?php endif ?>
				<th style="text-align: center"><?php esc_html_e('Estimated Profit in USD', '99btc-emc') ?></th>
			</tr>
			</thead>
			<tbody>
			<?php foreach ($result as $duration => $info): ?>
				<tr>
					<td style="text-align: left"><?php esc_html_e($duration, '99btc-emc') ?></td>
					<td style="text-align: right"><?= esc_html($info['earning']) ?></td>
					<?php if ($eth_pool_fee): ?>
						<td style="text-align: right"><?= esc_html($info['fee']) ?></td>
					<?php endif ?>
					<!--td style="text-align: right"><?= esc_html($info['profit_earning']) ?></td-->
					<?php if ($eth_power_watts && $eth_power_cost): ?>
						<td style="text-align: right"><?= esc_html($info['power_price']) ?></td>
					<?php endif ?>
					<?php if ($usd_btc): ?>
					<td style="text-align: right"><?= esc_html($info['profit_btc']) ?></td>
					<?php endif ?>
					<td style="text-align: right"><?= esc_html($info['profit_usd']) ?></td>
				</tr>
			<?php endforeach ?>
			</tbody>
		</table>
	</div>
<?php endif ?>
<?php if (empty($btc_hide_copyright)): ?>
	<div style="text-align: center">
		<small>
			<?php esc_html_e('Ethereum mining calculator powered by', '99btc-emc') ?> <a href="https://99bitcoins.com/bitcoin-ethereum-mining-calculators-plugin-wordpress/" target="_blank" rel="nofollow">https://99bitcons.com</a>
		</small>
	</div>
<?php endif ?>
